Name: liblivebox-cpp
Summary: C++ adaptor for a livebox 
Version: 0.2.8
Release: 1
VCS:     magnolia/apps/livebox/livebox-cpp#livebox-cpp_0.2.4-19-g18d4a8671e59384424cf0c3c189e598a8ab2aed2
Group: HomeTF/Livebox
License: Flora
Source0: %{name}-%{version}.tar.gz
Source1001: %{name}.manifest
BuildRequires: cmake, gettext-tools, coreutils
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(livebox)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(livebox-service)

%description
Livebox development library (C++)

%package devel
Summary: Files for livebox development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Livebox development library (C++) (dev)

%prep
%setup -q
cp %{SOURCE1001} .

%build
%if 0%{?sec_build_binary_debug_enable}
export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_DEBUG_ENABLE"
export FFLAGS="$FFLAGS -DTIZEN_DEBUG_ENABLE"
%endif

%if 0%{?tizen_build_binary_release_type_eng}
export CFLAGS="${CFLAGS} -DTIZEN_ENGINEER_MODE"
export CXXFLAGS="${CXXFLAGS} -DTIZEN_ENGINEER_MODE"
export FFLAGS="${FFLAGS} -DTIZEN_ENGINEER_MODE"
%endif
%cmake .
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}/%{_datarootdir}/license

%post

%files -n liblivebox-cpp
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/*.so*
%{_datarootdir}/license/*

%files devel
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_includedir}/livebox-cpp/livebox-cpp.h
%{_datarootdir}/doc/livebox-cpp/livebox-cpp_PG.h
%{_libdir}/pkgconfig/*.pc

# End of a file
